Skip to main content
GET
/
nessie
/
pipeline
/
status
Get Pipeline
curl --request GET \
  --url https://{server}.mixpanel.com/api/2.0/nessie/pipeline/status \
  --header 'Authorization: Basic <encoded-value>'
{
  "canceled": [
    {
      "project_id": 123,
      "name": "<string>",
      "state": "<string>",
      "last_finish": "<string>",
      "run_at": "<string>",
      "from_date": "<string>",
      "to_date": "<string>"
    }
  ],
  "retried": [
    {
      "project_id": 123,
      "name": "<string>",
      "state": "<string>",
      "last_finish": "<string>",
      "run_at": "<string>",
      "from_date": "<string>",
      "to_date": "<string>"
    }
  ],
  "succeeded": [
    {
      "project_id": 123,
      "name": "<string>",
      "state": "<string>",
      "last_finish": "<string>",
      "run_at": "<string>",
      "from_date": "<string>",
      "to_date": "<string>"
    }
  ]
}
Given the name of the pipeline this API returns the status of the pipeline. It returns the summary and status of all the recent run export jobs for the pipeline. Example Response: Status with no Summary and a Filter
curl https://data.mixpanel.com/api/2.0/nessie/pipeline/status \
  -u API_SECRET: \
  -d name="YOUR_PIPELINE_NAME" \
  -d status="running"
Example Response: Status with no Summary and a Filter
{
  "canceled": [
    {
      "name": "company-july-2016-backfill-hourly-monoschema",
      "state": "canceled",
      "last_finish": "0000-12-31T16:00:00-08:00",
      "run_at": "2016-07-26T00:00:00-07:00",
      "from_date": "2016-07-26T00:00:00-07:00",
      "to_date": "2016-07-26T00:00:00-07:00"
    },
  ]
}

Authorizations

Authorization
string
header
required

Service Account

Query Parameters

project_id
integer
required

Required if using service account to authenticate request.

name
string
required

The name that uniquely identifies the pipeline.

summary
string

Default: false. Only lists task count by status and no details.

status
string[]

Filters the tasks by the given status. Valid options for status are pending, running, retried, failed, canceled, and timed_out.

Response

Success

canceled
object[]
retried
object[]
succeeded
object[]